Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1369 - rpm can't remove packages with incorrect names
Summary: rpm can't remove packages with incorrect names
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-28 20:34 UTC by Marc MERLIN
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-09 05:17:31 UTC


Attachments (Terms of Use)

Description Marc MERLIN 1999-02-28 20:34:28 UTC
You most likely already know about this, but I couldn't find
it in the archives.

moremagic:~# rpm -qa | grep alsa
alsadriver-0.2.0-pre6-1
alsa-driver-0.2.0-pre10p1-1
alsa-driver-0.2.0-pre10p2-1
moremagic:~# rpm -e alsa-driver-0.2.0-pre10p1-1
package alsa-driver-0.2.0-pre10p1-1 is not installed

The problem here is that the version number contains a
dash, and it confuses RPM.
I agree that the package maker is at fault here, but it'd
be nice if once those packages are installed, they could
be removed also

Comment 1 Marc MERLIN 1999-02-28 20:39:59 UTC
I should rephrase:
Rpm _can_ remove the packages, if you do the following:
rpm --allmatches -e alsa-driver
but it can't really deal with them in a correct way.

Maybe rpm -i should refuse to install packages that have bad names
(more than one '-' in the version number)

Comment 2 David Lawrence 1999-03-02 21:24:59 UTC
This bug has been assigned to a developer further review.

Comment 3 Jeff Johnson 1999-03-09 05:17:59 UTC
Fixed (by checking for improper minus) in recent versions of rpm-2.5.x
and rpm-2.9x.


Note You need to log in before you can comment on or make changes to this bug.